Page MenuHomePhabricator

Style anonymous editor warning as a warningbox for consistency
Closed, ResolvedPublic1 Story Points

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2016, 12:38 AM

Change 271720 had a related patch set uploaded (by Jforrester):
EditPage: Style anonymous editor warning as a warningbox for consistency

https://gerrit.wikimedia.org/r/271720

Change 271720 merged by jenkins-bot:
EditPage: Style anonymous editor warning as a warningbox for consistency

https://gerrit.wikimedia.org/r/271720

@violetto and myself are both pro changing this to warningbox from UX perspective. There will be ongoing improvements to the message box colors in connection with T109915: Improve color palette to comply with WCAG 2.0 min level AA and color-deficiency-friendly. later in T127405.

Johan added a subscriber: Johan.Feb 19 2016, 2:07 PM

Is this VE only or the wikitext editor as well?

Is this VE only or the wikitext editor as well?

Both.

Jdforrester-WMF closed this task as Resolved.Feb 21 2016, 2:12 AM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from To Triage to Epics on the VisualEditor board.
whym reopened this task as Open.Apr 22 2016, 7:34 AM
whym added a subscriber: whym.

Reopening - https://gerrit.wikimedia.org/r/#/c/271720/ changed the style of the warning box shown in the edit action, but not the preview action.

Zppix moved this task from Unsorted to Working on on the Contributors-Team board.Apr 26 2016, 2:29 PM

Change 286396 had a related patch set uploaded (by Whym):
EditPage: Style anonymous editor preview warning as a warning box

https://gerrit.wikimedia.org/r/286396

Change 286396 merged by jenkins-bot:
EditPage: Style anonymous editor preview warning as a warning box

https://gerrit.wikimedia.org/r/286396

Jdforrester-WMF closed this task as Resolved.May 2 2016, 2:56 PM
Jdforrester-WMF removed a project: Patch-For-Review.